{% extends 'base.html.twig' %}

{% block title %}Poll{% endblock %}

{% block body %}
    <h3>Sondage</h3>
    <h5>Créé par {{ creator[0].email }} le {{ poll.creationDate|date('d/m/Y') }}</h5>
    <hr/>

    <h4>{{ poll.title }}</h4>

    <!-- Show the form only if the user has never voted and if a user is logged in-->

    <div style="{% if existe == true %} display:none {% endif %} {% if app.user == false %} display:none {% endif %} ">{{ form(form) }}</div>

    <hr/>
    {% if app.user %}
        {% if existe == true %}
        <h5>Résultats</h5>
        {% for option in poll.pollOptions %}
        {{ form_start(form) }}
        {{ form_widget(form) }}
        <h6>{{ option.name }}</h6>
        {{ form_end(form) }}
        <div class="progress">
            <div class="progress-bar" role="progressbar" style="width: {{ nbVoteOption[ option.id ] }}% ;"> {{ nbVoteOption[option.id] }} % </div>
        </div>
        {% endfor %}
        {% endif %}
    {% else %}
    <h5>Résultats</h5>
    {% for option in poll.pollOptions %}
    {{ form_start(form) }}
    {{ form_widget(form) }}
    <h6>{{ option.name }}</h6>
    {{ form_end(form) }}
    <div class="progress">
        <div class="progress-bar" role="progressbar" style="width: {{ nbVoteOption[ option.id ] }}% ;"> {{ nbVoteOption[option.id] }} % </div>
    </div>
    {% endfor %}
    {% endif %}


{% endblock %}
